!
!##############################################################################
!# 
!# Copyright by The HDF Group.
!# All rights reserved.
!#
!# This file is part of the hl_region High-Level HDF5 APIs.  The full copyright 
!# notice, including terms governing use, modification, and redistribution, 
!# is contained in the file COPYING, which can be found at the root of the
!# source code distribution tree and in the documentation directory (doc/html/). 
!# If you do not have access to this file, you may request a copy of 
!# "the hl_region High-Level HDF5 APIs copyright and license statement" from 
!# help@hdfgroup.org.
!# 
!##############################################################################

!
! Formatted prints of the test results, handles:
!  (1) what testing
!  (2) passes
!  (3) fails
!

MODULE test_util

CONTAINS

  SUBROUTINE TESTING(test_title)

    ! Writes test description
    
    IMPLICIT NONE
    CHARACTER(LEN=*), INTENT(IN) :: test_title ! Short description of test
    
    WRITE(*, fmt = '(A, T72)', ADVANCE='NO') test_title//"...."
    
  END SUBROUTINE TESTING
  
  SUBROUTINE PASSED()
    
    ! Writes passed test
    
    IMPLICIT NONE
    WRITE(*, fmt = '(A)') "PASSED"
    
  END SUBROUTINE PASSED
  
  SUBROUTINE FAILED()
    
    ! Writes failed test
    
    IMPLICIT NONE
    WRITE(*, fmt = '(A)') "FAILED"
    
  END SUBROUTINE FAILED

END MODULE test_util
